FROM mcr.microsoft.com/dotnet/aspnet:7.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:7.0 AS build
WORKDIR /src
COPY ["PaydayFrontend.csproj", "PaydayFrontend"]
RUN dotnet restore "PaydayFrontend.csproj"
COPY . .
WORKDIR "/src"
RUN dotnet build "PaydayFrontend.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "PaydayFrontend.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
RUN apt-get update && apt-get install -y curl
WORKDIR /app
#HEALTHCHECK --interval=5s --timeout=10s --retries=3 CMD curl --fail http://localhost:80/health || exit 1

COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "PaydayFrontend.dll"]
